# Uses of Class
org.globus.gsi.proxy.ext.ProxyPolicy

Packages that use ProxyPolicy
Package
Description
org.globus.gsi.proxy.ext

## Uses of ProxyPolicy in org.globus.gsi.proxy.ext

Methods in org.globus.gsi.proxy.ext that return ProxyPolicy
Modifier and Type
Method
Description
`ProxyPolicy`
ProxyCertInfo.`getProxyPolicy()`
Returns the policy object in the proxy.
Constructors in org.globus.gsi.proxy.ext with parameters of type ProxyPolicy
Modifier
Constructor
Description
``
`ProxyCertInfo(int pathLenConstraint, ProxyPolicy policy)`
Creates a new instance of the ProxyCertInfo extension.
``
`ProxyCertInfo(ProxyPolicy policy)`
Creates a new instance of the ProxyCertInfo extension with no path length constraint.